%global gem_name occi-core

# no rubygem(rspec-core) package in EPEL 7
%if 0%{?el7}
%global enable_checks 0
%else
%global enable_checks 1
%endif

Name:           rubygem-%{gem_name}
Version:        4.2.16
Release:        0.1%{?dist}
Summary:        OCCI toolkit

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/gwdg/rOCCI-core
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# build with activesupport 4.1.x
Patch0:         active.patch

BuildArch:      noarch
BuildRequires:  rubygems-devel
BuildRequires:  ruby(release) >= 1.9.3
%if %enable_checks
BuildRequires:  rubygem(json_spec)
BuildRequires:  rubygem(rspec)
%endif
BuildRequires:  rubygem(activesupport) => 4.0.0
BuildRequires:  rubygem(hashie)
BuildRequires:  rubygem(settingslogic)
BuildRequires:  rubygem(uuidtools) >= 2.1.3
# gem development dependencies not used:
# - builder
# - debugger
# - rake (required by rspec-core)
# - rubygems-tasks
# - simplecov
# - yard
# - yard-spec

%if 0%{?fedora} && 0%{?fedora} <= 20 || 0%{?rhel} && 0%{?rhel} <= 7
Requires:       ruby(release) >= 1.9.3
Requires:       ruby(rubygems)
Requires:       rubygem(activesupport) => 4.0.0
Requires:       rubygem(hashie)
Requires:       rubygem(json)
Requires:       rubygem(settingslogic)
Requires:       rubygem(uuidtools) >= 2.1.3
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
OCCI is a collection of classes to simplify the implementation of the Open
Cloud Computing API in Ruby.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}
%patch0 -p1

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# enable newer rubygem-activesupport (4.1.x)
sed -i -e 's|\(%q<activesupport>,\) \[.*\]|\1 [">= 4.0.0"]|'  %{gem_name}.gemspec

# remove developer-only files
for f in .gitignore .travis.yml Gemfile Rakefile; do
  rm $f
  sed -i "s|\"$f\",\?||g" %{gem_name}.gemspec
done


%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
%if %enable_checks
# TODO: report upstream
export LC_ALL=cs_CZ.UTF-8
pushd .%{gem_instdir}
rspec -Ilib spec
popd
unset LC_ALL
%endif


%files
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/config
%exclude %{gem_cache}
%exclude %{gem_instdir}/spec
%exclude %{gem_instdir}/.rspec
%exclude %{gem_instdir}/.yardopts
%exclude %{gem_instdir}/%{gem_name}.gemspec
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md


%changelog
* Sat Aug 2 2014 František Dvořák <valtri@civ.zcu.cz> - 4.2.16-0.1
- Initial package
